{{define "head"}}<title>Robot details</title>{{end}}
{{define "body"}}
    <h1>Robot {{.RobotID}}</h1>
    <div>
        <table border="1">
            <tr>
                <th>User</th>
                <th>Parent robot</th>
                <th>Ticker</th>
                <th>Is Active</th>
                <th>Deals count</th>
                <th>Plan yield</th>
                <th>Fact yield</th>
                <th>Is favorite</th>
                <th>Plan start</th>
                <th>Plan end</th>
            </tr>
            <tr>
                <td id="userID">{{.OwnerUserID}}</td>
                <td id="parentRobotID">{{.ParentRobotID}}</td>
                <td id="ticker">{{.Ticker}}</td>
                <td id="isActive">{{.IsActive}}</td>
                <td id="dealsCount">{{.DealsCount}}</td>
                <td id="planYield">{{.PlanYield}}</td>
                <td id="factYield">{{.FactYield}}</td>
                <td id="favorite">{{.IsFavorite}}</td>
                <td id="favorite">{{.PlanStart}}</td>
                <td id="favorite">{{.PlanEnd}}</td>
            </tr>
        </table>
    </div>

    <script type="text/javascript">
        let robotID = {{.RobotID}}
        const ws = new WebSocket("ws://localhost:8080/api/v1/robot/" + robotID + "/ws")

        ws.onopen = function () {
            console.log("WS is open")
        }

        ws.onclose = function () {
            console.log("WS is close")
        }

        ws.onmessage = function (event) {
            let robot = JSON.parse(event.data.toString());

            let userID = document.getElementById("userID");
            userID.innerText = robot.owner_user_id;

            let parentRobotID = document.getElementById("parentRobotID");
            parentRobotID.innerText = robot.parent_robot_id

            let ticker = document.getElementById("ticker");
            ticker.innerText = robot.ticker;

            let isActive = document.getElementById("isActive");
            isActive.innerText = robot.is_active;

            let dealsCount = document.getElementById("dealsCount");
            dealsCount.innerText = robot.deals_count;

            let planYield = document.getElementById("planYield");
            planYield.innerText = robot.plan_yield

            let factYield = document.getElementById("factYield");
            factYield.innerText = robot.fact_yield

            let favorite = document.getElementById("favorite");
            favorite.innerText = robot.is_favorite

            let planStart = document.getElementById("planStart");
            planStart.innerText = robot.plan_start

            let planEnd = document.getElementById("planEnd");
            planEnd.innerText = robot.plan_end
        }
    </script>
{{end}}